.TH "GIT-UBUNTU-SUBMIT" "1" "2017-07-19" "Git-Ubuntu 0.2" "Git-Ubuntu Manual"

.SH "NAME"
git-ubuntu submit \- Submit local changes as a Launchpad merge proposal
.SH "SYNOPSIS"
.SP
.NF
\fIgit ubuntu submit\fR [\-\-target-branch <target_branch>]
[\-\-reviewer <reviewer>] [\-d | \-\-directory <directory>]
[\-f | \-\-force] [\-\-target-user <user>] [\-\-branch <branch>]
[\-\-no-push] [\-l | \-\-lp-user <lp_user>]
.FI
.SP
.SH "DESCRIPTION"
.SP
This command and \fBgit-ubuntu-review\fR(1) are in some ways
symmetrical\&.
"submit" proposes local changes for external review and "review" reviews
them\&.
In many ways, this is meant to mirror the GitHub model for Pull
Requests\&.
.SP
.SH "OPTIONS"
.PP
\-\-target-branch <target_branch>
.RS 4
The branch in \fB<user>\fR's repository to target\&.
If not specified, the nearest remote-tracking branch to \fB<branch>\fR
is used\&.
.RE
.PP
\-\-reviewer <reviewer>
.RS 4
The reviewer on Launchpad for the Merge Proposal, specified by the
Launchpad user (or team) name\&.
This option can be specified multiple times\&.
If not specified, the canonical-server team is used\&.
.RE
.PP
\-d <directory>, \-\-directory <directory>
.RS 4
The local directory to submit from\&.
If not specified, the current directory is used\&.
.RE
.PP
\-f, \-\-force
.RS 4
Overwrite any existing tags or branches, as necessary\&.
.RE
.PP
\-\-target-user <user>
.RS 4
The Launchpad user (or team) name owning the repository to propose the
local changes into\&.
By default this is the "git-ubuntu-import" Launchpad team, which owns the
imported repositories\&.
.RE
.PP
\-\-branch <branch>
.RS 4
What local branch to submit for merging into \fB<user>\fR's
\fB<target_branch>\fR\&.
If not specified, the branch pointed to by HEAD is used\&.
.RE
.PP
\-\-no-push
.RS 4
Do not push the \fB<branch>\fR before creating the Merge Proposal\&.
.RE
.PP
\-l <lp_user>, \-\-lp-user <lp_user>
.RS 4
The Launchpad user to authenticate as for pushing changes\&.
.RE
.SP
.SH "EXIT STATUS"
.SP
\fIgit ubuntu submit\fR exits with status 0 if the command completes
successfully\&.
\fIgit ubuntu submit\fR exits with nonzero exit status on errors\&.
.SP
.SH "REPORTING BUGS"
.SP
Report bugs at
.UR https://bugs.launchpad.net/git-ubuntu
.UE
\.
.SP
.SH "SEE ALSO"
.SP
\fBgit-ubuntu-review\fR(1)
.SP
.SH "GIT-UBUNTU"
Part of the \fBgit-ubuntu\fR(1) suite
